import request from '@/utils/request';

/**
 * 分页查询分组
 * @param params 查询条件
 */
export async function pageGroups(params) {
  const res = await request.get('/sylive/groups/page', {
    params
  });
  if (res.data.code === 0) {
    return res.data.data;
  }
  return Promise.reject(new Error(res.data.message));
}

/**
 * 查询分组列表
 * @param params 查询条件
 */
export async function listGroups(params) {
  const res = await request.get('/sylive/groups', {
    params
  });
  if (res.data.code === 0) {
    return res.data.data;
  }
  return Promise.reject(new Error(res.data.message));
}

/**
 * 查询上级分组列表
 * @param params 查询条件
 */
export async function listGroupsParent(params) {
  const res = await request.get('/sylive/groups/parent', {
    params
  });
  if (res.data.code === 0) {
    return res.data.data;
  }
  return Promise.reject(new Error(res.data.message));
}

/**
 * 添加分组
 * @param data 分组信息
 */
export async function addGroups(data) {
  const res = await request.post('/sylive/groups', data);
  if (res.data.code === 0) {
    return res.data.message;
  }
  return Promise.reject(new Error(res.data.message));
}

/**
 * 修改分组
 * @param data 分组信息
 */
export async function updateGroups(data) {
  const res = await request.put('/sylive/groups', data);
  if (res.data.code === 0) {
    return res.data.message;
  }
  return Promise.reject(new Error(res.data.message));
}

/**
 * 删除分组
 * @param id 分组id
 */
export async function removeGroups(id) {
  const res = await request.delete('/sylive/groups', {
    data: { id }
  });
  if (res.data.code === 0) {
    return res.data.message;
  }
  return Promise.reject(new Error(res.data.message));
}

/**
 * 导出分组所有顾问
 * @param params 查询条件
 */
export async function exportGroupsConsultant(params) {
  const res = await request.get('/sylive/groups/consultant_export', {
    params
  });
  if (res.data.code === 0) {
    return res.data.data;
  }
  return Promise.reject(new Error(res.data.message));
}
